%define class File
%define subclass Scan
%define _version 0.52
%define _release 1

# Derived values
%define module %{class}-%{subclass}
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)
%define distro_release %{_release}
%define distro_group Development/Perl

Summary:	Perl module %{class}::%{subclass} for scanning files for viruses
Summary(fr):	Module Perl %{class}::%{subclass} - dtecteur de virus
Summary(de):	Perl-Modul %{class}::%{subclass} - Virus-Scanner
Name:		perl-%{module}
Version:	%{_version}
Release:	%{distro_release}
Group:		%{distro_group}
License:	GPL/Artistic License - see documentation
Vendor:		Henrique Dias <hdias@esb.ucp.pt>
Source:		http://www.cpan.org/modules/by-module/%{module}-%{version}.tar.gz
Url:		http://www.cpan.org/modules/by-module/%{class}
BuildRequires:	perl, make
BuildArch:	noarch
BuildRoot:	%{_tmppath}/build-%{name}-%{_version}-root/
Requires:	perl = %{perlver}
Provides:	%{module} = %{_version}

%description
Perl module which implements the %{class}::%{subclass} class. 

%{class}::%{subclass} provides its own virus signature database.

You can use the "virusscan" script to scan files or directories
for viruses.

You can use the script "virus-procmail" to scan for infected
e-mails using procmail rules - have a look at
%{_docdir}/README.procmail
for further details.

The script "virus-update" can be used to download and install
the latest version of the %{class}::%{subclass} perl module
(must be root to do that).
Note that it wont update the RPM package but install the module
from the sources.

%description -l fr
Module Perl %{class}::%{subclass} pour dtecter des virus.
Il dispose de sa propre base de donnes de signatures de virus.

Vous pouvez utiliser le script "virusscan" pour vrifier que des
fichiers ou des rpertoires ne sont pas infects.

Le script "virus-procmail" permet de vrifier si des e-mails
sont infects  partir de rgles procmail - lisez le fichier
%{_docdir}/README.procmail
pour plus de dtails.

Le script "virus-update" peut tre utilis pour tlcharger et
installer la dernire version du module Perl %{class}::%{subclass}
(vous devez tre root).
Notez que ce script ne va pas effectuer une mise  jour du
paquetage RPM mais installer le module  partir des sources.

%description -l de
Diese Paket enthlt das Perl-Modul %{class}::%{subclass} zum
Scannen nach Viren.
Es verfgt ber eine eigene Virus-Signaturen-Datenbank.

Das Skript "virusscan" kann zum Suchen nach Viren in Dateien
oder Verzeichnissen verwendet werden.

Das "virus-procmail"-Skript kann aus procmail-Regeln heraus
nach Viren in E-Mails suchen - lesen Sie bitte die Datei
%{_docdir}/README.procmail
fr nhere Informationen.

Das "virus-update"-Skript kann zum herunterladen und installieren
der letzten Version des Perl-Moduls %{class}::%{subclass} verwendet
werden (Sie mssen diese Skript als root aufrufen).
Es wird nicht dieses RPM-Paket aktualisieren sondern das Modul
anhand des Quellcodes installieren.

%prep
%setup -q -n %{module}-%{version}
%{__perl} Makefile.PL PREFIX=${RPM_BUILD_ROOT}%{_prefix}

%build
%{__make}

%install
%{__rm} -rf "${RPM_BUILD_ROOT}"
%{makeinstall}

#
# Install additional example scripts
#

%{__mkdir_p} "${RPM_BUILD_ROOT}%{_bindir}"
%{__install} -m 755 examples/scan.pl "${RPM_BUILD_ROOT}%{_bindir}/virusscan"
%{__install} -m 755 examples/latest.pl "${RPM_BUILD_ROOT}%{_bindir}/virusupdate"
%{__install} -m 755 examples/procmail/scanvirus.pl "${RPM_BUILD_ROOT}%{_bindir}/virus-procmail"
# rename procmail-README to include it into the %doc section
%{__mv} examples/procmail/README README.procmail

# Clean up some files we don't want/need
rm -rf `find $RPM_BUILD_ROOT -name "perllocal.pod" -o \
                             -name ".packlist" -o \
                             -name "*.bs"`

# Remove all empty directories
find $RPM_BUILD_ROOT -type d | tac | xargs rmdir --ign

%clean
cd ..
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{module}-%{version}

%files
%defattr(-,root,root)
%doc Changes README TODO docs/* README.procmail
%{_prefix}

%changelog
* Fri Apr 25 2003 Michael McLagan <Michael.McLagan@linux.org>
- Version 0.50

* Fri Oct 04 2002 Michael McLagan <Michael.McLagan@linux.org>
- fixed broken conditionals
  corrected day name for Oct 02
* Wed Oct 02 2002 Pascal Bleser <guru@unixtech.be>
- Updated to 0.37
- Use of __-macros everywhere
- Ported to SuSE: autodetects if built on SuSE Linux, should work on any distro
- Moved perl Makefile.PL into setup section
- Added installation of additional scripts
- Added french and german translations
- Changed many other things to make them cleaner
* Thu Sep 12 2002 Michael McLagan <michael.mclagan@linux.org>
- Updated to 0.36
* Fri Aug 30 2002 Michael McLagan <michael.mclagan@linux.org>
- Updated to 0.35
* Mon Jul 22 2002 Michael McLagan <michael.mclagan@linux.org>
- Updated to 0.34
* Tue Jul 15 2002 Michael McLagan <michael.mclagan@linux.org>
- Updated to 0.33
* Tue Jul 08 2002 Michael McLagan <michael.mclagan@linux.org>
- Updated to 0.32
* Tue Jun 25 2002 Michael McLagan <michael.mclagan@linux.org>
- Updated to 0.31
* Tue Jun 17 2002 Michael McLagan <michael.mclagan@linux.org>
- Updated to 0.30
* Mon Jun 03 2002 Michael McLagan <michael.mclagan@linux.org>
- Updated to 0.29
* Mon May 27 2002 Michael McLagan <michael.mclagan@linux.org>
- Updated to 0.28
* Sat May 20 2002 Michael McLagan <michael.mclagan@linux.org>
- Updated to 0.27
* Mon May 14 2002 Michael McLagan <michael.mclagan@linux.org>
- Updated to 0.26
  Inserted code to adapt to perl version
  Replaced real_name macro with module
* Sun May 05 2002 Michael McLagan <michael.mclagan@linux.org>
- Updated to 0.25
  Fixed a couple of items in spec file
* Tue Apr 30 2002 Michael McLagan <michael.mclagan@linux.org>
- initial version 0.24
